﻿Type=Class
Version=3
@EndOfDesignText@
'Class module
Sub Class_Globals
	Dim DType As String = "INFO"
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize

End Sub
'Set DialogType to one of "INFO", "ACCEPT","ERROR" or "QUESTION"
Sub setDialogType(DiaType As String)
	DType = DiaType.ToUpperCase
End Sub
'A minimal MsgBox with icon determined by DialogType Default Dialog type is INFO
Sub Show(Message As String,Title As String) As Int
	Dim BitMap1 As Bitmap
	Select DType
		
		'We could test that each file existed before trying to use it, 
		'but that may make it harder to find a problem if a file is missing and 
		'the wrapper appears not to be working properly.
		'This way we'll get a fatal error if it's missing.
		Case "INFO"
			BitMap1.Initialize(File.DirAssets,"info.png")
			
		Case "ACCEPT"
			BitMap1.Initialize(File.DirAssets,"accept.png")
		
		Case "ERROR"
			BitMap1.Initialize(File.DirAssets,"error.png")
		
		Case "QUESTION"
			BitMap1.Initialize(File.DirAssets,"question.png")
					
		Case Else
			Log("Invalid DialogType")
			Return -1
	End Select
	
	Return Show2(Message,Title,"OK","","")
End Sub
'A full MsgBox with an Icon determined by DialogType, Pass "" to exclude a button
Sub Show2(Message As String,Title As String,Positive As String,Cancel As String,Negative As String) As Int
	Dim BitMap1 As Bitmap
	Select DType
		
		Case "INFO"
			BitMap1.Initialize(File.DirAssets,"info.png")
		Case "ACCEPT"
			BitMap1.Initialize(File.DirAssets,"accept.png")
		Case "ERROR"
			BitMap1.Initialize(File.DirAssets,"error.png")
		Case "QUESTION"
			BitMap1.Initialize(File.DirAssets,"question.png")
		Case Else
			Log("Invalid DialogType")
			Return -1
	End Select
	
	Return Msgbox2(Message,Title,Positive,Cancel,Negative,BitMap1)
End Sub
'Example of a wholly predefined MsgBox, Prompts and return values
Sub ShowAccept As String
	DType = "ACCEPT"
	Dim Response As Int = Show2("Do you accept?","Acceptance required","Accept","","Reject")
	If Response = DialogResponse.POSITIVE Then Return "Yes"
	If Response = DialogResponse.NEGATIVE Then Return "No"
End Sub